#!/usr/bin/env python

import os, sys

inputfile = sys.argv[1]
outputfile = sys.argv[2]

continents = ["Africa", "America", "US", "Canada", "Asia", "Atlantic", "Australia", "Europe", "Indian", "Pacific", "Etc"]

st = ""

for continent in continents:
	cdir = os.path.join("/usr/share/zoneinfo", continent)
	st += "{"
	for f in os.listdir(cdir):
		if os.path.isfile(os.path.join(cdir, f)):
			toadd = "\"%s\", " % f
		elif os.path.isdir(os.path.join(cdir, f)):
			ccdir = os.path.join(cdir, f)
			for ff in os.listdir(ccdir):
				toadd = "\"%s/%s\", " % (f, ff)
		st += toadd
	st = st[:-2] + "}, "

st = st[:-2]

f = open(inputfile, "r")
txt = f.read()
f.close()

txt = txt.replace("@towns@", st)

f = open(outputfile, "w")
f.write(txt)
f.close()

